/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.dataPool.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.db.entity.Entity;
import net.northking.cctp.common.saas.db.TenantPartition;

import javax.validation.constraints.Size;
import java.util.Date;


/**
 * 数据集树目录表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-10-24 16:58:38  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "数据集树目录表")
public class DataSetTree extends TenantPartition implements Entity
{
  public static final String KEY_id = "id";
  public static final String KEY_name = "name";
  public static final String KEY_parentId = "parentId";
  public static final String KEY_levelNo = "levelNo";
  public static final String KEY_indexNo = "indexNo";
  public static final String KEY_isLeaf = "isLeaf";
  public static final String KEY_path = "path";
  public static final String KEY_fullName = "fullName";
  public static final String KEY_proId = "proId";
  public static final String KEY_tenantId = "tenantId";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_updatedTime = "updatedTime";
  public static final String KEY_description = "description";

  /**
   * id<br>
   */
  @ApiModelProperty("id")
  @Size(max = 32, message="id-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 节点名称<br>
   */
  @ApiModelProperty("节点名称")
  @Size(max = 32, message="节点名称-name: 数据长度不能 > 32" )
  private String name;
  /**
   * 父节点id<br>
   */
  @ApiModelProperty("父节点id")
  @Size(max = 32, message="父节点id-parentId: 数据长度不能 > 32" )
  private String parentId;
  /**
   * 层级<br>
   */
  @ApiModelProperty("层级")
  private Integer levelNo;
  /**
   * 序号<br>
   */
  @ApiModelProperty("序号")
  private Integer indexNo;
  /**
   * 是否叶子节点<br>
   */
  @ApiModelProperty("是否叶子节点")
  @Size(max = 1, message="是否叶子节点-isLeaf: 数据长度不能 > 1" )
  private String isLeaf;
  /**
   * 路径<br>
   */
  @ApiModelProperty("路径")
  @Size(max = 1024, message="路径-path: 数据长度不能 > 1024" )
  private String path;
  /**
   * 完整路径<br>
   */
  @ApiModelProperty("完整路径")
  @Size(max = 1024, message="完整路径-fullName: 数据长度不能 > 1024" )
  private String fullName;
  /**
   * 系统id<br>
   */
  @ApiModelProperty("系统id")
  @Size(max = 32, message="系统id-proId: 数据长度不能 > 32" )
  private String proId;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 32, message="租户id-tenantId: 数据长度不能 > 32" )
  private String tenantId;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 更新人<br>
   */
  @ApiModelProperty("更新人")
  @Size(max = 32, message="更新人-updatedBy: 数据长度不能 > 32" )
  private String updatedBy;
  /**
   * 更新时间<br>
   */
  @ApiModelProperty("更新时间")
  private Date updatedTime;
  /**
   * 描述<br>
   */
  @ApiModelProperty("描述")
  @Size(max = 255, message="描述-description: 数据长度不能 > 255" )
  private String description;

  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }

  /**
   * id<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * id<br>
   *
   * @param id id
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 节点名称<br>
   */
  public String getName()
  {
      return name;
    }

  /**
   * 节点名称<br>
   *
   * @param name 节点名称
   */
  public void setName(String name)
  {
      this.name = name;
    }
  /**
   * 父节点id<br>
   */
  public String getParentId()
  {
      return parentId;
    }

  /**
   * 父节点id<br>
   *
   * @param parentId 父节点id
   */
  public void setParentId(String parentId)
  {
      this.parentId = parentId;
    }
  /**
   * 层级<br>
   */
  public Integer getLevelNo()
  {
      return levelNo;
    }

  /**
   * 层级<br>
   *
   * @param levelNo 层级
   */
  public void setLevelNo(Integer levelNo)
  {
      this.levelNo = levelNo;
    }
  /**
   * 序号<br>
   */
  public Integer getIndexNo()
  {
      return indexNo;
    }

  /**
   * 序号<br>
   *
   * @param indexNo 序号
   */
  public void setIndexNo(Integer indexNo)
  {
      this.indexNo = indexNo;
    }
  /**
   * 是否叶子节点<br>
   */
  public String getIsLeaf()
  {
      return isLeaf;
    }

  /**
   * 是否叶子节点<br>
   *
   * @param isLeaf 是否叶子节点
   */
  public void setIsLeaf(String isLeaf)
  {
      this.isLeaf = isLeaf;
    }
  /**
   * 路径<br>
   */
  public String getPath()
  {
      return path;
    }

  /**
   * 路径<br>
   *
   * @param path 路径
   */
  public void setPath(String path)
  {
      this.path = path;
    }
  /**
   * 完整路径<br>
   */
  public String getFullName()
  {
      return fullName;
    }

  /**
   * 完整路径<br>
   *
   * @param fullName 完整路径
   */
  public void setFullName(String fullName)
  {
      this.fullName = fullName;
    }
  /**
   * 系统id<br>
   */
  public String getProId()
  {
      return proId;
    }

  /**
   * 系统id<br>
   *
   * @param proId 系统id
   */
  public void setProId(String proId)
  {
      this.proId = proId;
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }
  /**
   * 创建人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建人<br>
   *
   * @param createdBy 创建人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 更新人<br>
   */
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 更新人<br>
   *
   * @param updatedBy 更新人
   */
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 更新时间<br>
   */
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  /**
   * 更新时间<br>
   *
   * @param updatedTime 更新时间
   */
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }

  public DataSetTree()
  {
  }

}
